> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/product_groups/

Returns a list of all merchant's product groups.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/product-groups/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /product_groups/:
    get:
      operationId: list
      summary: List
      description: Returns a list of all merchant's product groups.
      tags:
        - productGroups
      parameters:
        - name: name
          in: query
          description: Product Group's name
          required: false
          schema:
            type: string
        - name: group_type
          in: query
          description: Group Type's name
          required: false
          schema:
            $ref: '#/components/schemas/ProductGroupsGetParametersGroupType'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product Groups_list_Response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product-groups-listRequestForbiddenError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product-groups-listRequestNotFoundError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    ProductGroupsGetParametersGroupType:
      type: string
      enum:
        - eligibility
        - incentive
        - sku_swap
      title: ProductGroupsGetParametersGroupType
    Product Groups_list_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Product Groups_list_Response_200
    Product-groups-listRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Product-groups-listRequestForbiddenError
    Product-groups-listRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Product-groups-listRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
"{\n    \"count\": 2,\n    \"next\": \"https://restapi.ordergroove.com/product_groups/?page=2\",\n    \"previous\": null,\n    \"results\": [\n      {\n        \"name\": \"subscription\",\n        \"group_type\": \"eligibility\"\n      },\n      {\n        \"name\": \"summer_sale\",\n        \"group_type\": \"incentive\"\n      },\n    ]\n}"
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/product_groups/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/product_groups/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/product_groups/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/product_groups/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/product_groups/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/product_groups/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/product_groups/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/product_groups/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```